
%global __requires_exclude devel\\(libKF5

%define kontact_mobile 1
%define _cmake_skip_rpath %nil

%define akregatorinterfaces_major 5
%define libakregatorinterfaces %mklibname akregatorinterfaces %akregatorinterfaces_major
%define akregatorprivate_major 5
%define libakregatorprivate %mklibname akregatorprivate %akregatorprivate_major
%define akregator_devel %mklibname akregator -d

Name:       akregator
Summary:    A Feed Reader for KDE5
Version: 	17.12.3
Release:    %mkrel 1
Group:      Graphical desktop/KDE5
License:    GPLv2
URL:        http://utils.kde.org/projects/kdepim
Source0:    http://download.kde.org/stable/applications/%{version}/src/%name-%{version}.tar.xz

BuildRequires: kf5-macros
BuildRequires: cmake 
BuildRequires: lib64boost-devel 
BuildRequires: lib64grantlee-devel 
BuildRequires: lib64kcodecs-devel 
BuildRequires: lib64kconfig-devel 
BuildRequires: lib64kcoreaddons-devel 
BuildRequires: lib64kf5akonadi-devel 
BuildRequires: lib64kf5auth-devel 
BuildRequires: lib64kf5completion-devel 
BuildRequires: lib64kf5configwidgets-devel 
BuildRequires: lib64kf5crash-devel 
BuildRequires: lib64kf5grantleetheme-devel 
BuildRequires: lib64kf5i18n-devel 
BuildRequires: lib64kf5iconthemes-devel 
BuildRequires: lib64kf5jobwidgets-devel 
BuildRequires: lib64kf5kcmutils-devel 
BuildRequires: lib64kf5kontactinterface-devel 
BuildRequires: lib64kf5libkdepim-devel 
BuildRequires: lib64kf5messagelib-devel 
BuildRequires: lib64kf5mime-devel 
BuildRequires: lib64kf5notifications-devel 
BuildRequires: lib64kf5notifyconfig-devel 
BuildRequires: lib64kf5parts-devel 
BuildRequires: lib64kf5pimcommon-devel 
BuildRequires: lib64kf5pimtextedit-devel 
BuildRequires: lib64kf5service-devel 
BuildRequires: lib64kf5syndication-devel 
BuildRequires: lib64kf5textwidgets-devel 
BuildRequires: lib64kf5widgetsaddons-devel 
BuildRequires: lib64kf5windowsystem-devel 
BuildRequires: lib64kf5xmlgui-devel 
BuildRequires: lib64kio-devel 
BuildRequires: lib64qt5core-devel 
BuildRequires: lib64qt5dbus-devel 
BuildRequires: lib64qt5gui-devel 
BuildRequires: lib64qt5network-devel 
BuildRequires: lib64qt5printsupport-devel 
BuildRequires: lib64qt5webengine-devel 
BuildRequires: lib64qt5widgets-devel 
BuildRequires: lib64qt5xml-devel 
BuildRequires: libxml2-utils 
BuildRequires: pkgconfig 
BuildRequires: qtbase5-common-devel 

%description
Akregator is a news feed reader for the KDE desktop. It enables you to
follow news sites, blogs and other RSS/Atom-enabled websites without
the need to manually check for updates using a web browser. Akregator
is designed to be both easy to use and to be powerful enough to read
hundreds of news sources conveniently. It comes with Konqueror
integration for adding news feeds and with an internal browser for
easy news reading.

%files
%_kf5_sysconfdir/xdg/akregator.categories
%_kf5_sysconfdir/xdg/akregator.renamecategories
%_kf5_bindir/akregator
%_kf5_bindir/akregatorstorageexporter
%_qt5_plugindir/akregator*
%_kf5_datadir/akregator
#%_kf5_datadir/messageviewer/about/default/introduction_akregator.html
%_kf5_datadir/applications/org.kde.akregator.desktop
%_kf5_datadir/config.kcfg/akregator.kcfg
%_datadir/dbus-1/interfaces/org.kde.akregator.part.xml
%_kf5_datadir/knotifications5/akregator.notifyrc
%_kf5_services/akregator_*
%_kf5_datadir/kservicetypes5/akregator_plugin.desktop
#%_kf5_datadir/kxmlgui5/akregator
%_kf5_services/feed.protocol
%_kf5_datadir/kconf_update/akregator*
%_iconsdir/*/*/*/akregator*.*
# Kontact integration
%_qt5_plugindir/kontact_akregatorplugin.so
%_kf5_services/kontact/akregatorplugin.desktop
%_kf5_datadir/kontact/ksettingsdialog/akregator.setdlg
%_kf5_datadir/metainfo/org.kde.*.appdata.xml
#------------------------------------------------------------------------------
%_kf5_libdir/libakregatorinterfaces.so.%{akregatorinterfaces_major}*
%_kf5_libdir/libakregatorprivate.so.%{akregatorprivate_major}*
%_kf5_datadir/locale
#------------------------------------------------------------------------------

%package -n akregator-handbook
Summary: Akregator handbook
Requires:  akregator
BuildArch: noarch
Group: Documentation

%description -n akregator-handbook
This package provides akregator handbook.

%files -n akregator-handbook
%_kf5_docdir/HTML

#------------------------------------------------------------------------------

%package -n %akregator_devel

Summary:        Devel stuff for %name
Group:          Development/Libraries
Requires:       %name
Provides:       %name-devel = %{version}-%{release}

%description -n %akregator_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %akregator_devel
%_kf5_libdir/libakregatorinterfaces.so

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export LD=%_kf5_bindir/ld.gold

%cmake_kf5 \
%if %kontact_mobile
-DKDEPIM_BUILD_MOBILE=true
%else
 -DKDEPIM_BUILD_MOBILE=false
%endif

make

%install
%make_install -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-News" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%changelog
* Mon Mar 12 2018 bb2 <bb2> - 17.12.3-1pclos2018
- new version

* Mon Feb 12 2018 bb2 <bb2> - 17.12.2-1pclos2018
- new version

* Fri Jan 12 2018 bb2 <bb2> - 17.12.1-1pclos2018
- new version

* Fri Dec 15 2017 bb2 <bb2> - 17.12.0-1pclos2017
- new version

* Thu Nov 09 2017 bb2 <bb2> - 17.08.3-1pclos2017
- new version

* Thu Oct 26 2017 bb2 <bb2> - 17.08.2-2pclos2017
- drop epoch in devel package

* Thu Oct 12 2017 bb2 <bb2> - 17.08.2-1pclos2017
- new version

* Sat Oct 07 2017 bb2 <bb2> - 17.08.1-1pclos2017
- new version

* Fri Aug 18 2017 bb2 <bb2> - 17.08.0-1pclos2017
- new version

* Fri Jul 14 2017 bb2 <bb2> - 17.04.3-1pclos2017
- new version

* Thu Jun 08 2017 bb2 <bb2> - 17.04.2-1pclos2017
- new version

* Thu May 11 2017 bb2 <bb2> - 17.04.1-1pclos2017
- new version

* Fri Apr 21 2017 bb2 <bb2> - 17.04.0-1pclos2017
- new version

* Fri Mar 10 2017 bb2 <bb2> - 16.12.3-1pclos2017
- new version

* Fri Feb 10 2017 bb <bb> - 16.12.2-1pclos2017
- new version

* Thu Jan 12 2017 bb <bb> - 16.12.1-1pclos2017
- new version

* Wed Dec 15 2016 bb <bb> 12.16.0-1pclos2016
- import

